Skip to main content
GET
/
v2
/
{chain_name}
/
blocks
/
{block_number}
Lookup Block By Number
curl --request GET \
  --url https://api.data.ormilabs.com/v2/{chain_name}/blocks/{block_number} \
  --header 'Authorization: Bearer <token>'
{
  "block": {
    "base_fee_per_gas": "10000000000",
    "difficulty": "0",
    "extra_data": "0x...",
    "gas_limit": "30000000",
    "gas_used": "15000000",
    "hash": "0x2c9759ce3126199512631f50cb01e40717c880cb094a8974f62f100978fe7071",
    "logs_bloom": "0x000...",
    "miner": "0x312e67b47a2a29ae200184949093d92369f80b53",
    "nonce": "0x0000000000000000",
    "number": 18000000,
    "parent_hash": "0x2c9759ce3126199512631f50cb01e40717c880cb094a8974f62f100978fe7071",
    "receipt_root": "0x...",
    "sha3_uncles": "0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347",
    "size": 100000,
    "state_root": "0x...",
    "timestamp": "2023-11-07T05:31:56Z",
    "total_difficulty": "58750003716598352816469",
    "transaction_count": 150,
    "transactions_root": "0x...",
    "withdrawals_root": "0x..."
  }
}

Authorizations

Authorization
string
header
required

Enter your API key in the format: Bearer <api_key>. Providing an API key may grant higher rate limits or access to additional features. The API will function without an API key for basic access.

Path Parameters

block_number
string
required

The block number. It can be numeric like 1231321 or "latest".

Pattern: ^(\d+|latest)$
Example:

"18000000"

chain_name
enum<string>
required

The name or ID of the blockchain.

Available options:
ethereum,
apechain,
arbitrum,
avalanche,
base,
bsc,
polygon
Example:

"ethereum"

Response

Successfully retrieved block details.

block
object
required